Subject: Re: [PATCH] Add IPIC MSI interrupt support

From: Scott Wood <[email-masked]>
Date: Tue, 4 Dec 2007 07:13:59 -0600

On Tue, Dec 04, 2007 at 11:04:18PM +1100, Michael Ellerman wrote:
> On Tue, 2007-12-04 at 18:34 +0800, Li Tony wrote:
> > I am not very sure about spin_lock influence.
> > But maybe somebody will change the virq_to_hw implementation.
> > I will take virq_to_hw instead. 
> 
> I mean the time to take the function call should be pretty small
> compared to taking and releasing a spinlock - but if you have
> performance numbers to prove otherwise let me know :)

I don't think the IPIC is used on any SMP platforms at the moment, so
there's no spinlock overhead other than disabling interrupts...

That said, it's not worth reimplementing to avoid a function call.

-Scott